{"openapi":"3.0.1","info":{"title":"Rivile ERP Public API","description":"Rivile ERP Public API","version":"0.1"},"servers":[{"url":"https://erp.rivile.cloud/public-api"}],"security":[{"apiKey":[]}],"paths":{"/v1/timesheets":{"get":{"tags":["timesheet-controller"],"summary":"Timesheet list","description":"Returns timesheet list","operationId":"list","parameters":[{"name":"calendarPeriodCode","in":"query","description":"Calendar period code","required":true,"schema":{"type":"string"}},{"name":"employeeAgreementCode","in":"query","description":"Employee agreement code","required":false,"schema":{"type":"string"}},{"name":"employeeCode","in":"query","description":"Employee code","required":false,"schema":{"type":"string"}},{"name":"employeePositionCode","in":"query","description":"Employee position code","required":false,"schema":{"type":"string"}},{"name":"departmentCode","in":"query","description":"Employee department code","required":false,"schema":{"type":"string"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TimesheetItem"}}}}}}},"post":{"tags":["timesheet-controller"],"summary":"Create timesheet events","description":"Create timesheet events","operationId":"createTimesheetEvents","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimesheetRequest"}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimesheetItem"}}}}}}},"/v1/timesheet-schedules":{"get":{"tags":["timesheet-schedule-controller"],"summary":"Timesheet schedules","description":"    Returns timesheet schedule list.\n    Fields available for filtering: id, active, code, createdAt, updatedAt\n","operationId":"list_1","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseTimesheetScheduleListItem"}}}}}},"post":{"tags":["timesheet-schedule-controller"],"summary":"Fill timesheet schedule","description":"Fill timesheet schedule","operationId":"fillTimesheetSchedule","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FillTimesheetScheduleRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FillTimesheetScheduleItem"}}}}}}},"/v1/sale-orders":{"get":{"tags":["sale-order-controller"],"summary":"Sale orders list","description":"Returns sale orders list. Fields available for filtering: id, createdAt, clientId, clientCode journalId, journalCode, customerAgreementId, customerAgreementCode, isSent, opDate, docDate, documentNo, docReference, groupingCode, statusId, updatedAt, workflowStatusId, workflowStatusCode","operationId":"list_3","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseSaleOrderListItem"}}}}}},"post":{"tags":["sale-order-controller"],"summary":"Create sale order","description":"Create new sale order","operationId":"createSaleOrder","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSaleOrderRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaleOrderItem"}}}}}}},"/v1/sale-orders/{id}/lines":{"post":{"tags":["sale-order-controller"],"summary":"Create sale order line","description":"Create new sale order line","operationId":"createSaleOrderLine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSaleLineRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaleLineItem"}}}}}}},"/v1/sale-invoices":{"get":{"tags":["sale-invoice-controller"],"summary":"Sale invoices list","description":"Returns sale invoices list. Fields available for filtering: id, createdAt, clientId, clientCode, journalId, journalCode, customerAgreementId, customerAgreementCode, isSent, opDate, docDate, typeId, documentNo, docReference, groupingCode, statusId, updatedAt, workflowStatusId, workflowStatusCode","operationId":"list_4","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseSaleInvoiceListItem"}}}}}},"post":{"tags":["sale-invoice-controller"],"summary":"Create sale invoice","description":"Create new sale invoice","operationId":"create","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSaleInvoiceRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaleInvoiceItem"}}}}}}},"/v1/sale-invoices/{id}/lines":{"post":{"tags":["sale-invoice-controller"],"summary":"Create sale invoice line","description":"Create new line in sale invoice","operationId":"create_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSaleLineRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaleLineItem"}}}}}}},"/v1/sale-invoices/{id}/fixed-payments":{"post":{"tags":["sale-invoice-controller"],"summary":"Create fixed payment for sale invoice","description":"Create fixed payment for sale invoice","operationId":"createSaleOrderFixedPayment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFixedPaymentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PRRefLinkDocumentListItem"}}}}}}},"/v1/sale-invoices/from/sale-order/{id}":{"post":{"tags":["sale-invoice-controller"],"summary":"Create sale invoice from order","description":"Create sale invoice from order","operationId":"createFromSaleOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInvoiceFromOrderRequest"}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupingCodeItem"}}}}}}},"/v1/purchase-invoices":{"get":{"tags":["purchase-invoice-controller"],"summary":"Purchase invoices list","description":"Returns purchase invoices list. Fields available for filtering: id, createdAt, clientId, clientCode journalId, journalCode, supplierAgreementId, supplierAgreementCode, isSent, opDate, docDate, typeId, documentNo, docReference, groupingCode, statusId, updatedAt, workflowStatusId, workflowStatusCode","operationId":"list_5","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponsePurchaseInvoiceListItem"}}}}}},"post":{"tags":["purchase-invoice-controller"],"summary":"Create purchase invoice","description":"Creates new purchase invoice","operationId":"create_2","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePurchaseInvoiceRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseInvoiceItem"}}}}}}},"/v1/purchase-invoices/{id}/lines":{"post":{"tags":["purchase-invoice-controller"],"summary":"Create purchase invoice line","description":"Creates new line in purchase invoice","operationId":"create_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePurchaseLineRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseLineItem"}}}}}}},"/v1/purchase-invoices/{id}/fixed-payments":{"post":{"tags":["purchase-invoice-controller"],"summary":"Create fixed payment for purchase invoice","description":"Creates fixed payment for purchase invoice","operationId":"createPurchaseInvoiceFixedPayment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFixedPaymentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PRRefLinkDocumentListItem"}}}}}}},"/v1/purchase-invoices/from/purchase-order/{id}":{"post":{"tags":["purchase-invoice-controller"],"summary":"Create purchase invoice from order","description":"Creates purchase invoice from order","operationId":"createFromPurchaseOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInvoiceFromOrderRequest"}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupingCodeItem"}}}}}}},"/v1/products":{"get":{"tags":["product-controller"],"summary":"Products","description":"Returns Product list. Fields available for filtering: id, createdAt, active, code, mainBarcode, importReference, productTypeId, priceStrategyId, bomTypeId, name, updatedAt, workflowStatusId, workflowStatusCode, mainProductGroupName, mainProductGroupCode, mainProductGroupId","operationId":"list_6","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseProductListItem"}}}}}},"post":{"tags":["product-controller"],"summary":"Create product","description":"Create new product","operationId":"create_4","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductItem"}}}}}}},"/v1/products/{id}/product-uom":{"post":{"tags":["product-controller"],"summary":"Create product unit of measure","description":"Create new product unit of measure in product","operationId":"create_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductUomRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaleLineItem"}}}}}}},"/v1/products/{id}/price":{"post":{"tags":["product-controller"],"summary":"Create product price","description":"Create new product price","operationId":"addPrice","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductPriceRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductPriceItem"}}}}}}},"/v1/payments":{"get":{"tags":["payment-controller"],"summary":"Payments","description":"Returns Payments list.\nFields available for filtering: id documentNo opDate statusId typeId paymentMethodId paymentMethodCode accountId accountCode currencyId currencyCode clientId clientCode documentTypeId prAccountId prAccountCode departmentId departmentCode objectId objectCode journalId journalCode documentRef assigneeId assigneeCode workflowStatusId workflowStatusCode","operationId":"list_8","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponsePaymentItem"}}}}}},"post":{"tags":["payment-controller"],"summary":"Create payment","description":"Creates new payment","operationId":"create_6","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentItem"}}}}}}},"/v1/inventory-adjustments":{"get":{"tags":["inventory-adjustment-controller"],"summary":"Inventory adjustments list","description":"Returns inventory adjustments list. Fields available for filtering: id, createdAt, updatedAt, documentNo, opDate, statusId, journalId, journalCode ,sourcingMethod, gpaisSaleMethod, assigneeId, committeeId, docReference, importReference, notes","operationId":"list_10","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseInventoryAdjustmentListItem"}}}}}},"post":{"tags":["inventory-adjustment-controller"],"summary":"Create inventory adjustment","description":"Creates new inventory adjustment","operationId":"create_7","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInventoryAdjustmentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryAdjustmentItem"}}}}}}},"/v1/inventory-adjustments/{id}/lines":{"post":{"tags":["inventory-adjustment-controller"],"summary":"Create inventory adjustment line","description":"Creates new line in inventory adjustment","operationId":"create_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInventoryAdjustmentLineRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryAdjustmentLineItem"}}}}}}},"/v1/inventor-movements":{"get":{"tags":["inventory-movement-controller"],"summary":"Inventory movements list","description":"Returns inventory movements list. Fields available for filtering: id, createdAt, updatedAt, documentNo, opDate, statusId, journalId, journalCode, departmentOutId, departmentInId, assigneeId, docReference, importReference, workflowStatusId, workflowStatusCode, notes","operationId":"list_11","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseInventoryMovementListItem"}}}}}},"post":{"tags":["inventory-movement-controller"],"summary":"Create inventory movement","description":"Creates new inventory movement","operationId":"create_9","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInventoryMovementRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryMovementItem"}}}}}}},"/v1/inventor-movements/{id}/lines":{"post":{"tags":["inventory-movement-controller"],"summary":"Create inventory movement line","description":"Creates new line in in inventory movement","operationId":"create_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInventoryMovementLineRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryMovementLineItem"}}}}}}},"/v1/deliveries":{"get":{"tags":["delivery-controller"],"summary":"Deliveries list","description":"Returns deliveries list. Fields available for filtering: id, createdAt, updatedAt, documentNo, docReference, typeId, statusId, groupingCode, workflowStatusId, workflowStatusCode, departmentId, departmentCode, ioDepartmentId, ioDepartmentCode, ioClientId, ioClientCode, journalId, journalCode","operationId":"list_13","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseDeliveryListItem"}}}}}},"post":{"tags":["delivery-controller"],"summary":"Create delivery","description":"Creates new delivery","operationId":"create_11","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDeliveryRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryItem"}}}}}}},"/v1/deliveries/{deliveryId}/lines":{"post":{"tags":["delivery-controller"],"summary":"Create delivery line","description":"Creates new line in delivery","operationId":"create_12","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDeliveryLineRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryLineItem"}}}}}}},"/v1/contacts":{"get":{"tags":["contact-controller"],"summary":"Contacts","description":"Returns Contact list. Fields available for filtering: id, code, name, title, email, phone, clientId, clientCode, isMain, notes, active, updatedAt, createdAt","operationId":"list_14","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseContactListItem"}}}}}},"post":{"tags":["contact-controller"],"summary":"Create contact","description":"Create new contact","operationId":"create_13","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateContactRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ContactItem"}}}}}}},"/v1/clients":{"get":{"tags":["client-controller"],"summary":"Clients","description":"Returns Client list. Fields available for filtering: id, createdAt, priceCategoryId, importReference, active, code, typeId, regCode, vatNumber, name, email, isCustomer, isSupplier, updatedAt, workflowStatusId, workflowStatusCode, economicActivity","operationId":"list_15","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseClientListItem"}}}}}},"post":{"tags":["client-controller"],"summary":"Create client","description":"Create new client","operationId":"create_14","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateClientRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ClientItem"}}}}}}},"/v1/sale-orders/{id}/workflow-status":{"patch":{"tags":["sale-order-controller"],"summary":"Update workflow status","description":"Update workflow status","operationId":"changeWorkflowStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/sale-orders/{id}/unreserve":{"patch":{"tags":["sale-order-controller"],"summary":"Un-reserve sale order","description":"Un-reserve sale order","operationId":"unReserveSaleOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-orders/{id}/reserve":{"patch":{"tags":["sale-order-controller"],"summary":"Reserve sale order","description":"Reserve sale order","operationId":"reserveSaleOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-orders/{id}/convertToQuote":{"patch":{"tags":["sale-order-controller"],"summary":"Convert sale order to quote","description":"Convert sale order to quote","operationId":"convertSaleOrderToQuote","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-orders/{id}/convertToProformaInvoice":{"patch":{"tags":["sale-order-controller"],"summary":"Convert sale order to proforma invoice","description":"Convert sale order to proforma invoice","operationId":"convertSaleOrderToProformaInvoice","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-orders/{id}/convertToOrder":{"patch":{"tags":["sale-order-controller"],"summary":"Convert sale order to order","description":"Convert sale order to order","operationId":"convertSaleOrderToOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-orders/{id}/cancel-approve":{"patch":{"tags":["sale-order-controller"],"summary":"Cancel approve for sale order","description":"Cancel approve for sale order","operationId":"cancelApproveSaleOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-orders/{id}/approve":{"patch":{"tags":["sale-order-controller"],"summary":"Approve sale order","description":"Approve sale order","operationId":"approveSaleOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-invoices/{id}/workflow-status":{"patch":{"tags":["sale-invoice-controller"],"summary":"Update workflow status","description":"Update workflow status","operationId":"changeWorkflowStatus_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/sale-invoices/{id}/unreserve":{"patch":{"tags":["sale-invoice-controller"],"summary":"UnReserve qty sale invoice","description":"UnReserve qty sale invoice","operationId":"unreserve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-invoices/{id}/unpost":{"patch":{"tags":["sale-invoice-controller"],"summary":"UnPost sale invoice","description":"UnPost sale invoice","operationId":"unpost","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-invoices/{id}/undo-cancellation":{"patch":{"tags":["sale-invoice-controller"],"summary":"Undo cancellation sale invoice","description":"Undo cancellation sale invoice","operationId":"undoCancellation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-invoices/{id}/reserve":{"patch":{"tags":["sale-invoice-controller"],"summary":"Reserve qty sale invoice","description":"Reserve qty sale invoice","operationId":"reserve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-invoices/{id}/post":{"patch":{"tags":["sale-invoice-controller"],"summary":"Post sale invoice","description":"Post sale invoice","operationId":"post","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-invoices/{id}/cancel":{"patch":{"tags":["sale-invoice-controller"],"summary":"Cancel sale invoice","description":"Cancel sale invoice","operationId":"cancel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/purchase-invoices/{id}/workflow-status":{"patch":{"tags":["purchase-invoice-controller"],"summary":"Update workflow status","description":"Update workflow status","operationId":"changeWorkflowStatus_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/purchase-invoices/{id}/unpost":{"patch":{"tags":["purchase-invoice-controller"],"summary":"UnPost purchase invoice","description":"UnPosts purchase invoice","operationId":"unpost_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/purchase-invoices/{id}/undo-cancellation":{"patch":{"tags":["purchase-invoice-controller"],"summary":"Undo cancellation purchase invoice","description":"Undoes cancellation of purchase invoice","operationId":"undoCancellation_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/purchase-invoices/{id}/post":{"patch":{"tags":["purchase-invoice-controller"],"summary":"Post purchase invoice","description":"Posts purchase invoice","operationId":"post_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/purchase-invoices/{id}/cancel":{"patch":{"tags":["purchase-invoice-controller"],"summary":"Cancel purchase invoice","description":"Cancels purchase invoice","operationId":"cancel_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/products/{id}":{"get":{"tags":["product-controller"],"summary":"Get product","description":"Returns full product by id.","operationId":"item_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when product id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductItem"}}}}}},"patch":{"tags":["product-controller"],"summary":"Update product","description":"Update existing product","operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductItem"}}}}}}},"/v1/products/{id}/workflow-status":{"patch":{"tags":["product-controller"],"summary":"Update workflow status","description":"Update workflow status","operationId":"changeWorkflowStatus_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/products/product-uom/{id}":{"patch":{"tags":["product-controller"],"summary":"Update product unit of measure","description":"Update existing product unit of measure","operationId":"updateProductUnitOfMeasure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductUomRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductUomItem"}}}}}}},"/v1/payments/{id}/workflow-status":{"patch":{"tags":["payment-controller"],"summary":"Update workflow status","description":"Update workflow status","operationId":"changeWorkflowStatus_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/payments/{id}/unpost":{"patch":{"tags":["payment-controller"],"summary":"UnPost payment","description":"UnPosts payment","operationId":"unpost_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/payments/{id}/undo-cancellation":{"patch":{"tags":["payment-controller"],"summary":"Undo cancellation payment","description":"Undoes cancellation for payment","operationId":"undoCancellation_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/payments/{id}/post":{"patch":{"tags":["payment-controller"],"summary":"Post payment","description":"Posts payment","operationId":"post_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/payments/{id}/link-payment":{"patch":{"tags":["payment-controller"],"summary":"Link payment","description":"Links payment to specific document","operationId":"linkPayment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkPaymentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/payments/{id}/cancel":{"patch":{"tags":["payment-controller"],"summary":"Cancel payment","description":"Cancels payment","operationId":"cancel_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/inventory-adjustments/{id}/unpost":{"patch":{"tags":["inventory-adjustment-controller"],"summary":"UnPost inventory adjustment","description":"UnPosts inventory adjustment","operationId":"unpost_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/inventory-adjustments/{id}/post":{"patch":{"tags":["inventory-adjustment-controller"],"summary":"Post inventory adjustment","description":"Posts inventory adjustment","operationId":"post_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/inventor-movements/{id}/workflow-status":{"patch":{"tags":["inventory-movement-controller"],"summary":"Update workflow status","description":"Update workflow status","operationId":"changeWorkflowStatus_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/inventor-movements/{id}/unpost":{"patch":{"tags":["inventory-movement-controller"],"summary":"UnPost inventory movement","description":"UnPosts inventory movement","operationId":"unpost_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/inventor-movements/{id}/post":{"patch":{"tags":["inventory-movement-controller"],"summary":"Post inventory movement","description":"Posts inventory movement","operationId":"post_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/deliveries/{deliveryId}":{"get":{"tags":["delivery-controller"],"summary":"Get delivery","description":"Returns full delivery by id.","operationId":"item_8","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when delivery id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryItem"}}}}}},"delete":{"tags":["delivery-controller"],"summary":"Delete delivery","description":"Deletes delivery","operationId":"delete_5","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}},"patch":{"tags":["delivery-controller"],"summary":"Update delivery","description":"Update existing delivery","operationId":"update_1","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDeliveryRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeliveryItem"}}}}}}},"/v1/deliveries/{deliveryId}/workflow-status":{"patch":{"tags":["delivery-controller"],"summary":"Update delivery workflow status","description":"Update delivery workflow status","operationId":"changeWorkflowStatus_6","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/deliveries/{deliveryId}/unpost":{"patch":{"tags":["delivery-controller"],"summary":"UnPost delivery","description":"UnPosts delivery","operationId":"unpost_5","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/deliveries/{deliveryId}/post":{"patch":{"tags":["delivery-controller"],"summary":"Post delivery","description":"Posts delivery","operationId":"post_5","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/deliveries/{deliveryId}/lines/{lineId}":{"get":{"tags":["delivery-controller"],"summary":"Get delivery line","description":"Returns full delivery line by id.","operationId":"itemLine","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"lineId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when delivery id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryItem"}}}}}},"delete":{"tags":["delivery-controller"],"summary":"Delete delivery line","description":"Deletes delivery line","operationId":"deleteLine","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"lineId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}},"patch":{"tags":["delivery-controller"],"summary":"Update delivery line","description":"Update existing delivery line","operationId":"updateLine","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"lineId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDeliveryLineRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeliveryLineItem"}}}}}}},"/v1/deliveries/{deliveryId}/lines/{lineId}/workflow-status":{"patch":{"tags":["delivery-controller"],"summary":"Update delivery line workflow status","description":"Update delivery line workflow status","operationId":"changeLineWorkflowStatus","parameters":[{"name":"deliveryId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"lineId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/contacts/{id}":{"get":{"tags":["contact-controller"],"summary":"Get contact","description":"Returns full contact by id.","operationId":"item_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when contact id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactItem"}}}}}},"patch":{"tags":["contact-controller"],"summary":"Update contact","description":"Update existing contact","operationId":"update_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateContactRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ContactItem"}}}}}}},"/v1/clients/{id}":{"get":{"tags":["client-controller"],"summary":"Get client","description":"Returns full client by id.","operationId":"item_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when client id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientItem"}}}}}},"patch":{"tags":["client-controller"],"summary":"Update client","description":"Update existing client","operationId":"update_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateClientRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ClientItem"}}}}}}},"/v1/clients/{id}/workflow-status":{"patch":{"tags":["client-controller"],"summary":"Update workflow status","description":"Update workflow status","operationId":"changeWorkflowStatus_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowStatusChangeRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK"},"204":{"description":"No Content"}}}},"/v1/workflow-statuses/{entityTypeId}":{"get":{"tags":["workflow-controller"],"summary":"Workflow statuses","description":"Returns Workflow statuses","operationId":"listByPath","parameters":[{"name":"entityTypeId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowStatusItem"}}}}}}}},"/v1/workflow-statuses/{entityTypeId}/{companyId}":{"get":{"tags":["workflow-controller"],"summary":"Workflow statuses","description":"Returns Workflow statuses","operationId":"listByHeader","parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"entityTypeId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowStatusItem"}}}}}}}},"/v1/users/api-keys":{"get":{"tags":["status-controller"],"summary":"Validate API key","description":"Check if call with API key is successful","operationId":"validate","parameters":[{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"If the API Key is valid.","content":{"*/*":{"schema":{"type":"string"}}}},"401":{"description":"If the API Key is invalid or expired."}}}},"/v1/timesheet-schedules/{id}/days":{"get":{"tags":["timesheet-schedule-controller"],"summary":"Timesheet schedules days list","description":"    Returns Timesheet schedules days.\n","operationId":"listDays","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"dateFrom","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TimesheetScheduleDayItem"}}}}}}}},"/v1/sale-prices":{"get":{"tags":["sale-price-controller"],"summary":"Sale Prices","description":"Returns sale price list. Fields available for filtering: id, validFrom, validTo, productId, productCode, departmentId, departmentCode, currencyId, currencyCode, priceCategoryId, priceCategoryCode, updatedAt","operationId":"list_2","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponseSalePriceListItem"}}}}}}},"/v1/sale-prices/{id}":{"get":{"tags":["sale-price-controller"],"summary":"Get sale price","description":"Returns full sale price by id.","operationId":"item","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when sale price id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SalePriceItem"}}}}}}},"/v1/sale-orders/{id}":{"get":{"tags":["sale-order-controller"],"summary":"Get sale order","description":"Returns full sale order by id.","operationId":"item_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when sale order id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaleOrderItem"}}}}}},"delete":{"tags":["sale-order-controller"],"summary":"Delete sale order","description":"Delete sale order","operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/v1/sale-invoices/{id}":{"get":{"tags":["sale-invoice-controller"],"summary":"Get sale invoice","description":"Returns full sale invoice by id.","operationId":"item_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when sale invoice id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaleInvoiceItem"}}}}}},"delete":{"tags":["sale-invoice-controller"],"summary":"Delete sale invoice","description":"Delete sale invoice","operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/v1/purchase-invoices/{id}":{"get":{"tags":["purchase-invoice-controller"],"summary":"Get purchase invoice","description":"Returns full purchase invoice by id.","operationId":"item_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Response when purchase invoice id is not found","content":{}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseInvoiceItem"}}}}}},"delete":{"tags":["purchase-invoice-controller"],"summary":"Delete purchase invoice","description":"Deletes purchase invoice","operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/v1/pr-registries":{"get":{"tags":["pr-registry-controller"],"summary":"PR registry","description":"Returns PR Registry list.\nFields available for filtering: id, clientId, clientCode, clientName, documentNo, date, dueDate, totalCurDue, refModuleId, refId, typeId","operationId":"list_7","parameters":[{"name":"page","in":"query","description":"Page number","required":false,"schema":{"minimum":0,"type":"string","default":"0"}},{"name":"size","in":"query","description":"Page size","required":false,"schema":{"maximum":100,"minimum":1,"type":"string","default":"30"}},{"name":"filter","in":"query","description":"Filter","required":false,"content":{"*/*":{"schema":{"minItems":0,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"object"},"operation":{"type":"string","description":"Comparison operation","enum":["CONTAINS","NOT_CONTAINS","EQUAL","NOT_EQUAL","GREATER_THAN","LESS_THAN","GREATER_THAN_OR_EQUAL","LESS_THAN_OR_EQUAL","STARTS_WITH","GROUP","ENDS_WITH"]}}}}}}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListPageResponsePrRegistryListItem"}}}}}}},"/v1/payments/{id}":{"get":{"tags":["payment-controller"],"summary":"Get payment","description":"Returns full payment by id.","operationId":"item_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Accept-Language","in":"header","schema":{"type":"string","enum":["lt","en"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*
[...]
